package com.artfess.cqlt.manager;

import com.artfess.cqlt.model.QfHrPersonM;
import com.artfess.cqlt.model.QfInvestProductivityD;
import com.artfess.cqlt.model.QfInvestProductivityM;
import com.artfess.base.manager.BaseManager;

import java.util.List;

/**
 * 投资--萨固密集团产能分布情况数据填报主表 服务类
 *
 * @company 阿特菲斯信息技术有限公司
 * @author min.wu
 * @since 2023-02-27
 */
public interface QfInvestProductivityMManager extends BaseManager<QfInvestProductivityM> {

    boolean insertInfo(QfInvestProductivityM t);

    boolean updateInfo(QfInvestProductivityM t);

    boolean updateStatus(QfInvestProductivityM t);

    boolean importExcel(List<QfInvestProductivityD> list, String mainId);

}
